kshowmail: FilterEntryDlg Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FilterEntryDlg Class Reference

Inheritance diagram for FilterEntryDlg:

List of all members.

## Public Slots
virtual void | slotOk ()
virtual void | slotItem1Selected (int)
virtual void | slotItem2Selected (int)
virtual void | slotSecondCondition (int)
virtual void | slotCondition1Selected (int)
virtual void | slotCondition2Selected (int)
virtual void | slotMatch1Changed (const QString &)
virtual void | slotMatch2Changed (const QString &)
virtual void | slotResetCounter ()
virtual void | slotCounterChanged (int)
virtual void | slotEditRegExp1 ()
virtual void | slotEditRegExp2 ()
virtual void | slotToggleRegExp1 (bool)
virtual void | slotToggleRegExp2 (bool)
## Public Member Functions
| FilterEntryDlg (QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags fl=0)
| ~FilterEntryDlg ()
## Public Attributes
QLineEdit * | _editName
QGroupBox * | QGroupBox_1
QComboBox * | _comboItem1
QComboBox * | _comboExpression1
QLineEdit * | _editMatch1
QComboBox * | _comboSecondCondition
QCheckBox * | _checkCaseSensitive1
QPushButton * | _buttonEditRegExp1
QCheckBox * | _checkRegExp1
QGroupBox * | _groupBox2
QComboBox * | _comboItem2
QComboBox * | _comboExpression2
QLineEdit * | _editMatch2
QCheckBox * | _checkCaseSensitive2
QCheckBox * | _checkRegExp2
QPushButton * | _buttonEditRegExp2
QPushButton * | m_ButtonOk
QPushButton * | m_ButtonCancel
QGroupBox * | groupBox3
QSpinBox * | _spinCounter
QPushButton * | _buttonResetCounter
## Protected Slots
virtual void | languageChange ()
## Protected Attributes
QGridLayout * | FilterEntryDlgLayout
QGridLayout * | QGroupBox_1Layout
QSpacerItem * | spacer2
QGridLayout * | _groupBox2Layout
QSpacerItem * | spacer3
QHBoxLayout * | Layout11
QSpacerItem * | Spacer17
QHBoxLayout * | groupBox3Layout

## Detailed Description

Definition at line 27 of file FilterEntryDlg.h.

The documentation for this class was generated from the following files:

- kshowmail/FilterEntryDlg.h
- kshowmail/FilterEntryDlg.cpp